(function (Drupal, drupalSettings, once) {
  Drupal.behaviors.simpleDatatables = {
    attach: function (context, settings) {
      once('simpleDatatables', '.simple-datatables', context).forEach(function (element) {
        if (!drupalSettings.simple_datatables_integration) return;
        let sdtElements = Object.keys(drupalSettings.simple_datatables_integration);
        sdtElements.forEach((el) => {
          const table = document.querySelector(`#${el}`);
          if (table && !table.classList.contains('datatable-initialized')) {
            const opts = drupalSettings.simple_datatables_integration[el]['options'];
            if (opts) {
              new simpleDatatables.DataTable(`#${el}`, opts);
            } else {
              new simpleDatatables.DataTable(`#${el}`);
            }
            table.classList.add('datatable-initialized');
          }
        });
      });
    }
  }
})(Drupal, drupalSettings, once);

